## ros-humble-flexbe-mirror 2.3.5

=== debian/changelog ===
ros-humble-flexbe-mirror (2.3.5-1bookworm) bookworm; urgency=high

  * remove unnecessary entry points (#15)
  * update change log

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-humble-flexbe-mirror (2.3.4-1bookworm) bookworm; urgency=high

  * update to protect against executor calls after unsubscribe/shutdown

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-humble-flexbe-mirror (2.3.3-1bookworm) bookworm; urgency=high

  * streamline pub/sub for mirror
  * cleanup on behavior shutdown
  * destroy sub/pub/client in executor thread
  * use SingleThreadedExecutor without callback groups

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-humble-flexbe-mirror (2.3.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flexbe-mirror (2.3.1-1bookworm) bookworm; urgency=high

  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-flexbe-mirror (2.3.0-1bookworm) bookworm; urgency=high

  * flake8 cleanup; make test consistent
  * protect against build farm timing issue
  * updates to dependencies for ROS build farm
  * clean up some spam to FlexBE App console and just send to local terminal and log

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-flexbe-mirror (2.2.0-1bookworm) bookworm; urgency=high

  * Activate mirror in new thread on receipt of new structure (prevent deadlock)
  * Add periodic heartbeat message to show seconds timestamp as Int32
  * Modify shutdown handling for clean stop
  * custom mirror_state_machine; faster polling loop; sync handling;
  * pep257, flake8, pylint cleanup
  * Merge pull request #11 from grejj/ros2-devel
    Added destroy rate calls to clear up rate resources (undone by first item changes)

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-humble-flexbe-mirror (2.1.0-1bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Includes changes sync check handling
  * Update script_dir in setup.cfg
  * Update heartbeat
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-flexbe-mirror (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-humble-flexbe-mirror (1.3.1-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-humble-flexbe-mirror (1.3.0-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_mirror] Minor cleanup of mirror
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-flexbe-mirror (1.2.5-1bookworm) bookworm; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-humble-flexbe-mirror (1.2.4-1bookworm) bookworm; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 24 Mar 2020 16:00:00 -0000

ros-humble-flexbe-mirror (1.2.3-1bookworm) bookworm; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_mirror] Fix mirror sync lock (see FlexBE/flexbe_app#47 <https://github.com/FlexBE/flexbe_app/issues/47>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 09 Jan 2020 16:00:00 -0000

ros-humble-flexbe-mirror (1.2.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 15 Sep 2019 16:00:00 -0000

ros-humble-flexbe-mirror (1.2.1-1bookworm) bookworm; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 01 Jun 2019 16:00:00 -0000

ros-humble-flexbe-mirror (1.1.2-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 08 Apr 2019 16:00:00 -0000

ros-humble-flexbe-mirror (1.1.1-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Merge remote-tracking branch 'origin/master' into develop
  * [flexbe_mirror] Fix race condition in mirror restarts
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 17 Dec 2018 16:00:00 -0000

ros-humble-flexbe-mirror (1.1.0-1bookworm) bookworm; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
